compact1, compact2, compact3
java.nio.channels

## Interface ByteChannel

All Superinterfaces:
  AutoCloseable, Channel, Closeable, ReadableByteChannel, WritableByteChannel

All Known Subinterfaces:
  SeekableByteChannel

All Known Implementing Classes:
  DatagramChannel, FileChannel, SocketChannel

    public interface ByteChannel
    extends ReadableByteChannel, WritableByteChannel

A channel that can read and write bytes. This interface simply unifies `ReadableByteChannel` and `WritableByteChannel`; it does not specify any new operations.

Since:
  1.4

### Method Summary

### Methods inherited from interface java.nio.channels.ReadableByteChannel

`read`

### Methods inherited from interface java.nio.channels.WritableByteChannel

`write`

### Methods inherited from interface java.nio.channels.Channel

`close, isOpen`